Skip to main content
GET
/
catchAll
/
resources
/
{resource_type}
/
{resource_id}
/
webhooks
List webhooks for resource
curl --request GET \
  --url https://catchall.newscatcherapi.com/catchAll/resources/{resource_type}/{resource_id}/webhooks \
  --header 'x-api-key: <api-key>'
import requests

url = "https://catchall.newscatcherapi.com/catchAll/resources/{resource_type}/{resource_id}/webhooks"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://catchall.newscatcherapi.com/catchAll/resources/{resource_type}/{resource_id}/webhooks', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "total": 1,
  "page": 1,
  "page_size": 100,
  "total_pages": 1,
  "webhooks": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Layoffs Alert",
      "url": "https://hooks.slack.com/services/T000/B000/xxx",
      "type": "slack",
      "delivery_mode": "full",
      "method": "POST",
      "headers": {},
      "params": {},
      "formatter_config": null,
      "is_active": true,
      "organization_id": "org-uuid-here",
      "created_by_user_id": "user-uuid-here",
      "created_at": "2026-05-18T10:00:00Z",
      "updated_at": "2026-05-18T10:00:00Z"
    }
  ]
}
{
  "detail": "Invalid API key"
}
{
  "detail": "Invalid API key"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key for authentication.

Path Parameters

resource_type
enum<string>
required

Resource types that can be assigned to a webhook.

Available options:
job,
monitor,
monitor_group
resource_id
string<uuid>
required

Unique resource identifier.

Query Parameters

is_active
boolean

Filter by active status. Omit to return webhooks regardless of status.

page
integer
default:1

Page number to retrieve.

Required range: x >= 1
page_size
integer
default:100

Number of webhooks per page.

Required range: 1 <= x <= 500

Response

Webhooks for resource retrieved successfully.

total
integer
required

Total number of webhooks in the organization.

Example:

3

page
integer
required

Current page number.

Example:

1

page_size
integer
required

Number of webhooks per page.

Example:

100

total_pages
integer
required

Total number of pages available.

Example:

1

webhooks
object[]
required

Webhooks on this page.